| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes

# IG::Forms::Test::ColorConverterForm Class Reference

Collaboration diagram for IG::Forms::Test::ColorConverterForm:
[legend]

List of all members.

## Public Member Functions
| ColorConverterForm ()
## Static Public Member Functions
static void | Main0 ()
## Private Member Functions
void | parseRGB ()
void | tbRed_TextChanged (object sender, EventArgs e)
void | tbGreen_TextChanged (object sender, EventArgs e)
void | tbBlue_TextChanged (object sender, EventArgs e)
void | Form1_Paint (object sender, PaintEventArgs e)
void | InitializeComponent ()
## Private Attributes
Color | theColor
System.Windows.Forms.TextBox | tbRed
System.Windows.Forms.TextBox | tbGreen
System.Windows.Forms.Label | label1
System.Windows.Forms.Label | label2
System.Windows.Forms.Label | label3
System.Windows.Forms.TextBox | tbBlue
System.Windows.Forms.TextBox | tbHue
System.Windows.Forms.TextBox | tbSat
System.Windows.Forms.Label | label4
System.Windows.Forms.Label | label5
System.Windows.Forms.Label | label6
System.Windows.Forms.TextBox | tbBright

## Constructor & Destructor Documentation

IG::Forms::Test::ColorConverterForm::ColorConverterForm | ( |  | ) | `[inline]`

## Member Function Documentation

static void IG::Forms::Test::ColorConverterForm::Main0 | ( |  | ) | `[inline, static]`

void IG::Forms::Test::ColorConverterForm::parseRGB | ( |  | ) | `[inline, private]`

void IG::Forms::Test::ColorConverterForm::tbRed_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::Test::ColorConverterForm::tbGreen_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::Test::ColorConverterForm::tbBlue_TextChanged | ( | object | sender,
|  | EventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::Test::ColorConverterForm::Form1_Paint | ( | object | sender,
|  | PaintEventArgs | e
| ) |  | `[inline, private]`

void IG::Forms::Test::ColorConverterForm::InitializeComponent | ( |  | ) | `[inline, private]`

## Member Data Documentation

Color IG::Forms::Test::ColorConverterForm::theColor`[private]`

System.Windows.Forms.TextBox IG::Forms::Test::ColorConverterForm::tbRed`[private]`

System.Windows.Forms.TextBox IG::Forms::Test::ColorConverterForm::tbGreen`[private]`

System.Windows.Forms.Label IG::Forms::Test::ColorConverterForm::label1`[private]`

System.Windows.Forms.Label IG::Forms::Test::ColorConverterForm::label2`[private]`

System.Windows.Forms.Label IG::Forms::Test::ColorConverterForm::label3`[private]`

System.Windows.Forms.TextBox IG::Forms::Test::ColorConverterForm::tbBlue`[private]`

System.Windows.Forms.TextBox IG::Forms::Test::ColorConverterForm::tbHue`[private]`

System.Windows.Forms.TextBox IG::Forms::Test::ColorConverterForm::tbSat`[private]`

System.Windows.Forms.Label IG::Forms::Test::ColorConverterForm::label4`[private]`

System.Windows.Forms.Label IG::Forms::Test::ColorConverterForm::label5`[private]`

System.Windows.Forms.Label IG::Forms::Test::ColorConverterForm::label6`[private]`

System.Windows.Forms.TextBox IG::Forms::Test::ColorConverterForm::tbBright`[private]`

The documentation for this class was generated from the following file:

- igform_quick_tests.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events